- Qt 5.0
- Qt 5.0.0 Reference Documentation

# Detail QML Type

The Detail element represents a single, complete detail about a organizer item. More...

Import Statement: | import QtOrganizer 5.0

- List of all members, including inherited members

## Properties

- type : enumeration

## Signals

- onDetailChanged()

## Methods

- bool removeValue(field)
- bool setValue(field, value)
- variant value(field)

## Detailed Description

See also QOrganizerItemDetail.

## Property Documentation

type : enumeration

This property holds the type of the detail and is read only. It can be one of:

- Detail.Undefined
- Detail.Classification
- Detail.Comment
- Detail.Description
- Detail.DisplayLabel
- Detail.ItemType
- Detail.Guid
- Detail.Location
- Detail.Parent
- Detail.Priority
- Detail.Recurrence
- Detail.Tag
- Detail.Timestamp
- Detail.Version
- Detail.Reminder
- Detail.AudibleReminder
- Detail.EmailReminder
- Detail.VisualReminder
- Detail.ExtendedDetail
- Detail.EventAttendee
- Detail.EventRsvp
- Detail.EventTime
- Detail.JournalTime
- Detail.TodoTime
- Detail.TodoProgress

See also Classification, Comment, Description, DisplayLabel, ItemType, Guid, Location, Parent, Priority, Recurrence, Tag, Timestamp, Version, Reminder, AudibleReminder, EmailReminder, VisualReminder, ExtendedDetail, EventAttendee, EventRsvp, EventTime, JournalTime, TodoTime, and TodoProgress.

## Signal Documentation

onDetailChanged()

This signal is emitted, when any of the Details's or child element's (like EventTime, DisplayLabel etc) properties have been changed.

Note: The corresponding handler is `onOnDetailChanged`.

## Method Documentation

bool removeValue(field)

Removes the value stored in this detail for the given field. Returns true if a value was stored for the given key and the operation succeeded, and false otherwise.

bool setValue(field, value)

Inserts value into the detail for the given key if value is valid. If value is invalid, removes the field with the given key from the detail. Returns true if the given value was set for the key (if the value was valid), or if the given key was removed from detail (if the value was invalid), otherwise returns false if the key was unable to be removed (and the value was invalid).

See also value().

variant value(field)

Returns the value stored in this detail for the given field, or an empty variant if not available.

See also setValue().